Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface PQ

All Superinterfaces:
  ANY, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, QTY

All Known Subinterfaces:
  BXITIVLPQ, HXITPQ, IVLPPDPQ, IVLPQ, IVXBPPDPQ, IVXBPQ, PPDPQ, SXCMPPDPQ, SXCMPQ

All Known Implementing Classes:
  BXITIVLPQImpl, HXITPQImpl, IVLPPDPQImpl, IVLPQImpl, IVXBPPDPQImpl, IVXBPQImpl, PPDPQImpl, PQImpl, SXCMPPDPQImpl, SXCMPQImpl

    public interface PQ

extends QTY

A representation of the model object 'PQ'. A dimensioned quantity expressing the result of a measurement act.

The following features are supported:

- `Translation`
- `Unit`
- `Value`

See Also:
  `CDAR2Package.getPQ()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getTranslation()` Returns the value of the 'Translation' containment reference list.
`java.lang.String` | `getUnit()` Returns the value of the 'Unit' attribute.
`java.lang.Object` | `getValue()` Returns the value of the 'Value' attribute.
`boolean` | `isSetUnit()` Returns whether the value of the '`Unit`' attribute is set.
`void` | `setUnit(java.lang.String value)` Sets the value of the '`Unit`' attribute.
`void` | `setValue(java.lang.Object value)` Sets the value of the '`Value`' attribute.
`void` | `unsetUnit()` Unsets the value of the '`Unit`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getTranslation

    org.eclipse.emf.common.util.EList getTranslation()

  Returns the value of the 'Translation' containment reference list. The list contents are of type `PQR`. An alternative representation of the same physical quantity expressed in a different unit, of a different unit code system and possibly with a different value.

  Returns:
    the value of the 'Translation' containment reference list.
  See Also:
    `CDAR2Package.getPQ_Translation()`

### getUnit

    java.lang.String getUnit()

  Returns the value of the 'Unit' attribute. The default value is `"1"`. The unit of measure specified in the Unified Code for Units of Measure (UCUM) [http://aurora.rg.iupui.edu/UCUM].

  Returns:
    the value of the 'Unit' attribute.
  See Also:
    `isSetUnit()`, `unsetUnit()`, `setUnit(String)`, `CDAR2Package.getPQ_Unit()`

### setUnit

    void setUnit(java.lang.String value)

  Sets the value of the '`Unit`' attribute.

  Parameters:
    `value` - the new value of the 'Unit' attribute.
  See Also:
    `isSetUnit()`, `unsetUnit()`, `getUnit()`

### unsetUnit

    void unsetUnit()

  Unsets the value of the '`Unit`' attribute.

  See Also:
    `isSetUnit()`, `getUnit()`, `setUnit(String)`

### isSetUnit

    boolean isSetUnit()

  Returns whether the value of the '`Unit`' attribute is set.

  Returns:
    whether the value of the 'Unit' attribute is set.
  See Also:
    `unsetUnit()`, `getUnit()`, `setUnit(String)`

### getValue

    java.lang.Object getValue()

  Returns the value of the 'Value' attribute. The magnitude of the quantity measured in terms of the unit.

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(Object)`, `CDAR2Package.getPQ_Value()`

### setValue

    void setValue(java.lang.Object value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD